System.Core 4.0.0.0 System.Security.Cryptography.SHA512

This algorithm is for hashing only and does not provide any encryption or decryption. It uses the BCrypt (BestCrypt) layer CNG.

Provides a Cryptography Next Generation (CNG) implementation of the Secure Hash Algorithm (SHA) for 512-bit hash values.

- Constructor
  4.0.0.0
  System.Security.SecurityCritical
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Security.SecurityCritical
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Security.SecurityCritical
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Security.SecurityCritical
  System.Byte[] To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Security.SecurityCritical
  System.Void To be added.

  Initializes, or re-initializes, the instance of the hash algorithm.